#include<bits/stdc++.h>
#include "vision.h"
using namespace std;


vector<int> getVisionPattern1d()
{
    return {4, 5, 6};
}

int getMove1d(vector<int> v)
{
    long long mid=v.size()/2;

    if (v[mid]==4 && v[mid+1]==5)
    {
        return v.size()-1;
    }
    if (v[mid]==5 && v[mid+1]==6)
    {
        return v.size()-1;
    }
    if (v[mid]=6 && v[mid+1]==4)
    {
        return v.size()-1;
    }

    return 0;
}

vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int>getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
